Get an email allow policy
GET/accounts/{account_id}/email-security/settings/allow_policies/{policy_id}
Retrieves details for a specific email allow policy, including its matching criteria and scope.
Security
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Get an email allow policy
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email-security/settings/allow_policies/$POLICY_ID \
-H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
-H "X-Auth-Key: $CLOUDFLARE_API_KEY"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": 2401,
"created_at": "2019-12-27T18:11:19.117Z",
"is_acceptable_sender": true,
"is_exempt_recipient": true,
"is_regex": true,
"is_trusted_sender": true,
"last_modified": "2019-12-27T18:11:19.117Z",
"pattern": "x",
"pattern_type": "EMAIL",
"verify_sender": true,
"comments": "comments",
"is_recipient": true,
"is_sender": true,
"is_spoof": true
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": 2401,
"created_at": "2019-12-27T18:11:19.117Z",
"is_acceptable_sender": true,
"is_exempt_recipient": true,
"is_regex": true,
"is_trusted_sender": true,
"last_modified": "2019-12-27T18:11:19.117Z",
"pattern": "x",
"pattern_type": "EMAIL",
"verify_sender": true,
"comments": "comments",
"is_recipient": true,
"is_sender": true,
"is_spoof": true
},
"success": true
}